package intrinsic.mx.managers;

public class CursorManagerImpl extends Object implements intrinsic.mx.managers.ICursorManager {

	/** Accessors */
	public double currentCursorYOffset;
	public int currentCursorID;
	public double currentCursorXOffset;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public CursorManagerImpl() {
}


/** Static Methods */
public static native intrinsic.mx.managers.ICursorManager getInstance();

/** Methods */
public native void removeAllCursors();
public native void hideCursor();
public native void unRegisterToUseBusyCursor(Object arg0);
public native void registerToUseBusyCursor(Object arg0);
public native void setBusyCursor();
public native void removeCursor(int arg0);
public native void showCursor();
public native void removeBusyCursor();
public native int setCursor(intrinsic.Class arg0);
public native int setCursor(intrinsic.Class arg0, int arg1);
public native int setCursor(intrinsic.Class arg0, int arg1, double arg2);
public native int setCursor(intrinsic.Class arg0, int arg1, double arg2, double arg3);
public native int setCursor(intrinsic.Class arg0, int arg1, double arg2, double arg3, intrinsic.mx.core.IUIComponent arg4);

}
